Get risk rules
curl --request GET \
--url https://api.useblueprints.ai/api/risk-rules \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.useblueprints.ai/api/risk-rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.useblueprints.ai/api/risk-rules"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"maxOrderSize": 123,
"maxDailyLoss": 123,
"maxOpenPositions": 123,
"maxOrdersPerMinute": 123,
"cooldownAfterLossSec": 123,
"requireApprovalAbove": 123
}{
"error": {
"message": "<string>"
},
"message": "<string>"
}{
"error": {
"message": "<string>"
},
"message": "<string>"
}Risk rules
Get risk rules
Returns account-level trading safeguards used before live trading actions are allowed. API keys need the risk:read scope.
GET
/
api
/
risk-rules
Get risk rules
curl --request GET \
--url https://api.useblueprints.ai/api/risk-rules \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.useblueprints.ai/api/risk-rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.useblueprints.ai/api/risk-rules"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"maxOrderSize": 123,
"maxDailyLoss": 123,
"maxOpenPositions": 123,
"maxOrdersPerMinute": 123,
"cooldownAfterLossSec": 123,
"requireApprovalAbove": 123
}{
"error": {
"message": "<string>"
},
"message": "<string>"
}{
"error": {
"message": "<string>"
},
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.